<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml::test::FocusManagerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html">FocusManagerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::test::FocusManagerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test fixture for testing <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  
 <a href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::afml::test::FocusManagerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test_inherit__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test_inherit__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html" title="Manages testing focus changes. " alt="" coords="76,5,269,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::afml::test::FocusManagerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test_coll__map" id="alexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test_coll__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html" title="Manages testing focus changes. " alt="" coords="76,5,269,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a1746dcac0e606633a8db6b3a4a563baa"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#a1746dcac0e606633a8db6b3a4a563baa">SetUp</a> ()</td></tr>
<tr class="separator:a1746dcac0e606633a8db6b3a4a563baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a6179582763ef22dd0a11c88e13401f98"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#a6179582763ef22dd0a11c88e13401f98">m_focusManager</a></td></tr>
<tr class="memdesc:a6179582763ef22dd0a11c88e13401f98"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>.  <a href="#a6179582763ef22dd0a11c88e13401f98">More...</a><br /></td></tr>
<tr class="separator:a6179582763ef22dd0a11c88e13401f98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79308d7f023a58a3886b93418eefb31b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#a79308d7f023a58a3886b93418eefb31b">dialogClient</a></td></tr>
<tr class="memdesc:a79308d7f023a58a3886b93418eefb31b"><td class="mdescLeft">&#160;</td><td class="mdescRight">A client that acquires the dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="#a79308d7f023a58a3886b93418eefb31b">More...</a><br /></td></tr>
<tr class="separator:a79308d7f023a58a3886b93418eefb31b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8504f274e1ebfefeb0290b262256d1a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#ae8504f274e1ebfefeb0290b262256d1a">anotherDialogClient</a></td></tr>
<tr class="memdesc:ae8504f274e1ebfefeb0290b262256d1a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Another client that acquires the dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="#ae8504f274e1ebfefeb0290b262256d1a">More...</a><br /></td></tr>
<tr class="separator:ae8504f274e1ebfefeb0290b262256d1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2d2138262f0e83ff1d19fa12a9c6fd0"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#ae2d2138262f0e83ff1d19fa12a9c6fd0">alertsClient</a></td></tr>
<tr class="memdesc:ae2d2138262f0e83ff1d19fa12a9c6fd0"><td class="mdescLeft">&#160;</td><td class="mdescRight">A client that acquires the alerts <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="#ae2d2138262f0e83ff1d19fa12a9c6fd0">More...</a><br /></td></tr>
<tr class="separator:ae2d2138262f0e83ff1d19fa12a9c6fd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb72b434809188f6d5656bd39dd021bf"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#afb72b434809188f6d5656bd39dd021bf">contentClient</a></td></tr>
<tr class="memdesc:afb72b434809188f6d5656bd39dd021bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">A client that acquires the content <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>.  <a href="#afb72b434809188f6d5656bd39dd021bf">More...</a><br /></td></tr>
<tr class="separator:afb72b434809188f6d5656bd39dd021bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41c99d2d0450dfc930adcb8599f170d1"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface.html">MockActivityTrackerInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_manager_test.html#a41c99d2d0450dfc930adcb8599f170d1">m_activityTracker</a></td></tr>
<tr class="separator:a41c99d2d0450dfc930adcb8599f170d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html">alexaClientSDK::afml::test::FocusChangeManager</a></td></tr>
<tr class="memitem:aa50dffd90112328dca89ff6fe7f5965d inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#aa50dffd90112328dca89ff6fe7f5965d">assertFocusChange</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt; client, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a066217aef6bc1e0e18dd3a13f467d275">FocusState</a> expectedFocusState)</td></tr>
<tr class="separator:aa50dffd90112328dca89ff6fe7f5965d inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a503ea3e9069d6794fc114eee30c8b73c inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager.html#a503ea3e9069d6794fc114eee30c8b73c">assertNoFocusChange</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a> &gt; client)</td></tr>
<tr class="separator:a503ea3e9069d6794fc114eee30c8b73c inherit pub_methods_classalexa_client_s_d_k_1_1afml_1_1test_1_1_focus_change_manager"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test fixture for testing <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1746dcac0e606633a8db6b3a4a563baa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1746dcac0e606633a8db6b3a4a563baa">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::afml::test::FocusManagerTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae2d2138262f0e83ff1d19fa12a9c6fd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2d2138262f0e83ff1d19fa12a9c6fd0">&#9670;&nbsp;</a></span>alertsClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a>&gt; alexaClientSDK::afml::test::FocusManagerTest::alertsClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A client that acquires the alerts <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>

</div>
</div>
<a id="ae8504f274e1ebfefeb0290b262256d1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8504f274e1ebfefeb0290b262256d1a">&#9670;&nbsp;</a></span>anotherDialogClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a>&gt; alexaClientSDK::afml::test::FocusManagerTest::anotherDialogClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Another client that acquires the dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>

</div>
</div>
<a id="afb72b434809188f6d5656bd39dd021bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb72b434809188f6d5656bd39dd021bf">&#9670;&nbsp;</a></span>contentClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a>&gt; alexaClientSDK::afml::test::FocusManagerTest::contentClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A client that acquires the content <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>

</div>
</div>
<a id="a79308d7f023a58a3886b93418eefb31b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79308d7f023a58a3886b93418eefb31b">&#9670;&nbsp;</a></span>dialogClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_test_client.html">TestClient</a>&gt; alexaClientSDK::afml::test::FocusManagerTest::dialogClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A client that acquires the dialog <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </p>

</div>
</div>
<a id="a41c99d2d0450dfc930adcb8599f170d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41c99d2d0450dfc930adcb8599f170d1">&#9670;&nbsp;</a></span>m_activityTracker</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface.html">MockActivityTrackerInterface</a>&gt; alexaClientSDK::afml::test::FocusManagerTest::m_activityTracker</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6179582763ef22dd0a11c88e13401f98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6179582763ef22dd0a11c88e13401f98">&#9670;&nbsp;</a></span>m_focusManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>&gt; alexaClientSDK::afml::test::FocusManagerTest::m_focusManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AFML/test/<a class="el" href="_focus_manager_test_8cpp.html">FocusManagerTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
